
% PROJECT:			Healthy, Wealthy, & Wise (AHEAD Data)
% FACULTY:			Dan McFadden
% AUTHOR:			Peter Adams
% LAST UPDATE:		February 17, 2002
% PROGRAM DESC:	Output & Set CHECK Variables (Wealth)


% ===========================================================================
% SET CHECK VARIABLES (WEALTH)
% ===========================================================================

check1{1,3}(21,year)=size(VALID2,1);

check2{1,3}(21,year)=sum(xxsim(VALID2,4),1)/size(VALID2,1);
check2{1,3}(22,year)=sum(xxsim(VALID2,5),1)/size(VALID2,1);
check2{1,3}(23,year)=sum(xxsim(VALID2,6),1)/size(VALID2,1);
check2{1,3}(24,year)=sum(xxsim(VALID2,7),1)/size(VALID2,1);

res=[];

%disp(' ');
%disp('TOTAL WEALTH');
%disp('--------------------------------------------------------------------');
check2{1,3}(25,year)=prctile(c_2w1(VALID2,1),25);
check2{1,3}(26,year)=median(c_2w1(VALID2,1));
check2{1,3}(27,year)=prctile(c_2w1(VALID2,1),75);
temp1=[check2{1,3}(25,year) check2{1,3}(26,year) check2{1,3}(27,year)];
res=[res;[{'TOTAL WEALTH'} num2cell(temp1)]];

%disp(' ');
%disp('LIQUID WEALTH');
%disp('--------------------------------------------------------------------');
check2{1,3}(28,year)=prctile(c_2l1(VALID2,1),25);
check2{1,3}(29,year)=median(c_2l1(VALID2,1));
check2{1,3}(30,year)=prctile(c_2l1(VALID2,1),75);
temp1=[check2{1,3}(28,year) check2{1,3}(29,year) check2{1,3}(30,year)];
res=[res;[{'LIQUID WEALTH'} num2cell(temp1)]];

%disp(' ');
%disp('NON-LIQUID WEALTH');
%disp('--------------------------------------------------------------------');
check2{1,3}(31,year)=prctile(c_2n1(VALID2,1),25);
check2{1,3}(32,year)=median(c_2n1(VALID2,1));
check2{1,3}(33,year)=prctile(c_2n1(VALID2,1),75);
temp1=[check2{1,3}(31,year) check2{1,3}(32,year) check2{1,3}(33,year)];
res=[res;[{'NON-LIQUID WEALTH'} num2cell(temp1)]];

%disp(' ');
%disp('INCOME');
%disp('--------------------------------------------------------------------');
check2{1,3}(34,year)=prctile(c_2i1(VALID2,1),25);
check2{1,3}(35,year)=median(c_2i1(VALID2,1));
check2{1,3}(36,year)=prctile(c_2i1(VALID2,1),75);
temp1=[check2{1,3}(34,year) check2{1,3}(35,year) check2{1,3}(36,year)];
res=[res;[{'INCOME'} num2cell(temp1)]];

disp(res);
